package com.gic.haoban.manage.service.entity.chat;

import java.io.Serializable;

/**
 * 
 * @ClassName: TabHaobanGroupChatPlan
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年11月25日 15:28:49
 * @Modify
 * @CopyRight 
 */
public class TabGroupChatPlan implements Serializable {

    private static final long serialVersionUID = 21576537277600L;

    private Long planId;
    private String name;
    private String remark;
    /**[{relation_id:素材id,content:回显示内容}]*/
    private String chatContent;
    private String creatorId;
    private String creatorName;
    private String modifierId;
    private String modifierName;
    private java.util.Date createTime;
    private java.util.Date updateTime;
    /**0已删除 1有效*/
    private Integer statusFlag;
    /**1立即发送 2定时发送*/
    private Integer sendType;
    private java.util.Date sendTime;
    private java.util.Date startTime;
    private java.util.Date endTime;
    /**几天后失效*/
    private Integer expireDays;
    /**群主数量*/
    private Integer staffCount;
    /**已完成任务的群主数量*/
    private Integer sendCount;
    /**已送达数的群数*/
    private Integer successChatCount;
    /**失败总群数*/
    private Integer failChatCount;

    private String wxEnterpriseId;
    private String enterpriseId;
    // 1代发送 2已发送
    private Integer sendFlag;
    /**
     * 关联素材来源1好办素材2内容中心
     */
    private Integer materialFrom;

    // 是否发送全部
    private int sendAllFlag ;
    // 所有的群发条件
    private String allSearchParams ;

    // 执行方式 0企微1好办小程序
    private int execType ;

    public int getExecType() {
        return execType;
    }

    public void setExecType(int execType) {
        this.execType = execType;
    }

    public String getAllSearchParams() {
        return allSearchParams;
    }

    public void setAllSearchParams(String allSearchParams) {
        this.allSearchParams = allSearchParams;
    }

    public int getSendAllFlag() {
        return sendAllFlag;
    }

    public void setSendAllFlag(int sendAllFlag) {
        this.sendAllFlag = sendAllFlag;
    }

    public Integer getSendFlag() {
        return sendFlag;
    }

    public void setSendFlag(Integer sendFlag) {
        this.sendFlag = sendFlag;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getModifierId() {
        return modifierId;
    }

    public String getModifierName() {
        return modifierName;
    }

    public void setModifierId(String modifierId) {
        this.modifierId = modifierId;
    }

    public void setModifierName(String modifierName) {
        this.modifierName = modifierName;
    }

    public void setPlanId(Long planId) {
        this.planId = planId;
    }

    public Long getPlanId() {
        return planId;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getRemark() {
        return remark;
    }

    public void setChatContent(String chatContent) {
        this.chatContent = chatContent;
    }

    public String getChatContent() {
        return chatContent;
    }

    public void setCreatorId(String creatorId) {
        this.creatorId = creatorId;
    }

    public String getCreatorId() {
        return creatorId;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public void setCreateTime(java.util.Date createTime) {
        this.createTime = createTime;
    }

    public java.util.Date getCreateTime() {
        return createTime;
    }

    public void setUpdateTime(java.util.Date updateTime) {
        this.updateTime = updateTime;
    }

    public java.util.Date getUpdateTime() {
        return updateTime;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setSendType(Integer sendType) {
        this.sendType = sendType;
    }

    public Integer getSendType() {
        return sendType;
    }

    public void setSendTime(java.util.Date sendTime) {
        this.sendTime = sendTime;
    }

    public java.util.Date getSendTime() {
        return sendTime;
    }

    public void setStartTime(java.util.Date startTime) {
        this.startTime = startTime;
    }

    public java.util.Date getStartTime() {
        return startTime;
    }

    public void setEndTime(java.util.Date endTime) {
        this.endTime = endTime;
    }

    public java.util.Date getEndTime() {
        return endTime;
    }

    public void setExpireDays(Integer expireDays) {
        this.expireDays = expireDays;
    }

    public Integer getExpireDays() {
        return expireDays;
    }

    public void setStaffCount(Integer staffCount) {
        this.staffCount = staffCount;
    }

    public Integer getStaffCount() {
        return staffCount;
    }

    public void setSendCount(Integer sendCount) {
        this.sendCount = sendCount;
    }

    public Integer getSendCount() {
        return sendCount;
    }

    public void setSuccessChatCount(Integer successChatCount) {
        this.successChatCount = successChatCount;
    }

    public Integer getSuccessChatCount() {
        return successChatCount;
    }

    public Integer getFailChatCount() {
        return failChatCount;
    }

    public void setFailChatCount(Integer failChatCount) {
        this.failChatCount = failChatCount;
    }

    public Integer getMaterialFrom() {
        return materialFrom;
    }

    public void setMaterialFrom(Integer materialFrom) {
        this.materialFrom = materialFrom;
    }
}